package com.ylx.massage.utils;

import com.ylx.common.utils.StringUtils;

/**
 * @author jianlong
 * @date 2024-06-14 10:40
 */
public class StringUtilsMassage {


    public static String afterChart(String str, String targetChar) {
        int index = str.indexOf(targetChar);
        if (index != -1) {
            return str.substring(index + 1);  // 输出: World!
        } else {
            return StringUtils.EMPTY;
        }
    }


    public static String afterString(String originalString,String delimiter) {

        // 查找delimiter的位置
        int index = originalString.indexOf(delimiter);
        if (index != -1) { // 如果找到了分隔符
            // 分隔符后面的字符串从index + delimiter.length()开始
            return originalString.substring(index + delimiter.length());
        } else {
            return originalString;
        }
    }

    public static void main(String[] args) {
        String s = afterString("o-HEJ6RAjBDjFvuZcAdHRX8mIZXw", "qrscene_");
        System.out.println(s);
    }

}
